dbXML API

## com.dbxml.xml
Class SymbolTableSymbols

    java.lang.Object
      com.dbxml.xml.SymbolTable
          com.dbxml.xml.SymbolTableSymbols

All Implemented Interfaces:
  XMLSerializable

public final class SymbolTableSymbols
extends SymbolTable

SymbolTableSymbols is class that represents the hard-coded definition of a compressed symbol table.

Nested Class Summary

Nested classes inherited from class com.dbxml.xml.SymbolTable
`SymbolTable.SymbolInfo`

Method Summary
`static SymbolTableSymbols` `getInstance()`

Methods inherited from class com.dbxml.xml.SymbolTable
`getLastModified, getLookupName, getNormalizedQName, getNormalizedSymbol, getQName, getSymbol, getSymbol, getSymbolInfo, getSymbolInfo, isDirty, setDirty, streamFromXML, streamToXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static SymbolTableSymbols getInstance()

dbXML API

Copyright (c) 2004 The dbXML Group